aboutsummaryrefslogtreecommitdiff
path: root/test-scenarios/install_additional_node.sh
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2022-07-14 21:12:11 +0300
committerGitHub <noreply@github.com>2022-07-14 21:12:11 +0300
commit01b46faa2dd7d9bd4f453b78f49457f2ffc67d3c (patch)
tree94cbf1eb77f763af807d34e168777c37dbc2668c /test-scenarios/install_additional_node.sh
parent7f551f8c2f1129d6485088196bfeb28ff5ee3230 (diff)
smart auto-install multiple versions for `node` (#56)
* node * fix comment (no-ci) * Apply suggestions from code review Co-authored-by: Samruddhi Khandale <skhandale@microsoft.com> * update test scenario * remove minor for node 18 * update scenarios to object notation * add shabang * only set default node once Co-authored-by: Samruddhi Khandale <skhandale@microsoft.com>
Diffstat (limited to 'test-scenarios/install_additional_node.sh')
-rw-r--r--test-scenarios/install_additional_node.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/test-scenarios/install_additional_node.sh b/test-scenarios/install_additional_node.sh
new file mode 100644
index 0000000..83dae86
--- /dev/null
+++ b/test-scenarios/install_additional_node.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# 'latest' is some version of node 18 for a while.
+check "version_on_path" node -v | grep 18
+
+check "v18_installed" ls -1 /usr/local/share/nvm/versions/node | grep 18
+check "v14_installed" ls -1 /usr/local/share/nvm/versions/node | grep 14.19.3
+check "v17_installed" ls -1 /usr/local/share/nvm/versions/node | grep 17.9.1
+
+
+# Report result
+reportResults